<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
{
    Schema::create('notification_histories', function (Blueprint $table) {
        $table->id();
        $table->string('type');           // tagihan, pengurasan, selesai
        $table->string('title');          // Potongan pesan untuk list di kiri
        $table->text('message_content');  // Pesan lengkap yang diketik admin
        $table->integer('total_sent');    // Jumlah orang yang kena blast WA
        $table->timestamps();
    });
}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('notification_histories');
    }
};
